LOC Predict(Beta)

post
https://connect.patsnap.com/ai/image/loc_predict
Try in Sandbox

LOC and keywords are predicted by uploading image url and description.

1、Support JPG and PNG, File size limit is 4MB

2、Product description is recommended to help improve prediction accuracy.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
description
string一款智能触屏手机
Product Description
url
Required
stringhttps://static-open.zhihuiya.com/sample/common_demo.png
image url

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
loc
array[ { "loc": "14-03", "desc": "电信设备、无线遥控设备和无线电放大器", "score": "0.89" } ]
Predicted LOC
loc
string14-03
LOC code
desc
string电信设备、无线遥控设备和无线电放大器 (注:包括电话和电视设备,以及无线电设备。)
LOC Description
score
number0.89
score
keywords
array[ "手机", "屏幕", "phone", "mobile phone", "phone case" ]
Keywords
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "loc": [
      {
        "loc": "14-03",
        "desc": "电信设备、无线遥控设备和无线电放大器 (注:包括电话和电视设备,以及无线电设备。)",
        "score": 0.89
      }
    ],
    "keywords": [
      "手机",
      "屏幕",
      "phone",
      "mobile phone",
      "phone case"
    ]
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms